/*
 * Auth 组件的组件路由
 */
import 'package:router/componentRouter/auth_service.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:riverpod_annotation/riverpod_annotation.dart';

import '../../modules/auth_login/auth_login_page.dart';
import '../../modules/select_estate/select_estate_page.dart';

part 'auth_component_service.g.dart';

@Riverpod(keepAlive: true)
AuthService authService(Ref ref) {
  return AuthComponentService();
}

class AuthComponentService extends AuthService {
  @override
  void startLoginPage() {
    AuthLoginPage.startInstance();
  }

  @override
  void startSelectEstatePage() {
    SelectEstatePage.startInstance();
  }

  @override
  void startAndPopAllLoginPage() {
    AuthLoginPage.startAndPopAll();
  }
}
